ci: Embedding CI build and test running script

This commit also unifies build and test scripts for Jenkins and Travis CI

Change-Id: Ieaf2d8793c2320a23ce9958c9cf06b3abd4d500f
diff --git a/.jenkins.d/10-build.sh b/.jenkins.d/10-build.sh
new file mode 100755
index 0000000..b288135
--- /dev/null
+++ b/.jenkins.d/10-build.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+set -x
+set -e
+
+git submodule init
+git submodule sync
+git submodule update
+
+# Cleanup
+sudo ./waf distclean -j1 --color=yes
+
+# Configure
+COVERAGE=$( python -c "print '--with-coverage' if 'code-coverage' in '$JOB_NAME' else ''" )
+
+CXXFLAGS="-std=c++03 -pedantic -Wall -Wno-long-long -O2 -g -Werror" \
+  ./waf configure -j1 --color=yes --with-tests --without-pch $COVERAGE
+
+# Build
+./waf --color=yes -j1
+
+# Install
+sudo ./waf -j1 --color=yes install